CUDA Driver API (PDF) - v9.2.88 (older) - Last updated April 12, 2018 - Send Feedback

## 5.2. CUDA_ARRAY_DESCRIPTOR Struct Reference

## [Data types used by CUDA driver]

Array descriptor

### Public Variables

CUarray_format Format
size_t Height
unsigned int NumChannels
size_t Width

### Variables

CUarray_format CUDA_ARRAY_DESCRIPTOR::Format [inherited]

  Array format

size_t CUDA_ARRAY_DESCRIPTOR::Height [inherited]

  Height of array

unsigned int CUDA_ARRAY_DESCRIPTOR::NumChannels [inherited]

  Channels per array element

size_t CUDA_ARRAY_DESCRIPTOR::Width [inherited]

  Width of array